Description

Hallo Katja,

ich leite das mal an dich weiter, denn es gibt hier ein Problem mit deinem Kode in
compose_cdm_specimen_or_observation_tree_entry():

http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/taxon/d18f151c-4d64-4c0f-b4db-5ef06d853318

// collect typeStatus as label

if (isset ($specimen_or_observation->specimenTypeDesignations)) {

Stype_status = array();

foreach ($specimen_or_observation->specimenTypeDesignations as S$typeDesignation) {
if (isset ($typeDesignation->typeStatus->representation_L10n)) {

Stype_status[] = S$typeDesignation->typeStatus—->representation_L10n;

}
}

if (count ($type_status) > 0) {

Stype_label = implode(', ', Stype_status);
}

}

if (isset (StypeDesignation)) {

// <-— dies miisste doch innerhalb der foreach-Schleife oben passieren?
Stitle = S$type_label . ' for: ' . S$StypeDesignation->typifiedNames; // <-- das ist ein array
lelse{

Stitle = Stype_label;
}

Du kénntest statt dieses code auch einfach die Funktion compose_specimen_type_designations() verwenden

Viele Gri3e
Andreas

Related issues:
Related to EDIT - bug #8369: SpecimenTypeDesignationDTO can not be serialized... Closed
Copied to EDIT - task #8379: Review strange specimen implementations Closed

Associated revisions

Revision 0557d51a - 07/16/2019 03:14 PM - Andreas Kohlbecker
ref #8368 fixing check for exitance of property

History

#1 - 07/16/2019 12:13 PM - Andreas Kohlbecker

- Description updated

#2 - 07/16/2019 12:15 PM - Andreas Kohlbecker

- Description updated

#3 - 07/16/2019 02:18 PM - Andreas Kohlbecker
http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/taxon/d18f151c-4d64-4c0f-b4db-5ef06d853318

- Status changed from New to In Progress
- Assignee changed from Katja Luther to Andreas Kohlbecker

- Priority changed from New to Highest

#4 - 07/16/2019 02:19 PM - Andreas Kohlbecker

working on this issue | found another issue: #8369

#5 - 07/16/2019 02:19 PM - Andreas Kohlbecker
- Related to bug #8369: SpecimenTypeDesignationDTO can not be serialized to JSON added

#6 - 07/16/2019 03:13 PM - Andreas Kohlbecker

After fixing the problems in this code i noticed that this code is not generating any output at all.
| attempted to base the code on existing functions and wrote the following lines:

if (isset ($specimen_or_observation->specimenTypeDesignations) && count ($Sspecimen_or_observation->
specimenTypeDesignations) > 0) {
// $specimen_or_observation->specimenTypeDesignations are DTOs
Sspecimen_type_designation_map = array();
foreach ($specimen_or_observation->specimenTypeDesignations as $stdDTO) {
if(!isset ($specimen_type_designation_map[$stdDTO->typeStatus])) {

Sspecimen_type_designation_map[$stdDTO->typeStatus] = array();
}
$Sspecimen_type_designation_map[$stdDTO->typeStatus][] = $stdDTO;
}
Sitems['data'] = compose_specimen_type_designations ($specimen_type_designation_map) ;

}
| removed them again and felt the original code as itis. This code was introduced in cdm-dataportal|lb3ac03bf
#7 - 07/16/2019 03:15 PM - Andreas Kohlbecker
- Status changed from In Progress to Feedback

- Assignee changed from Andreas Kohlbecker to Katja Luther

- % Done changed from 0 to 10
Katja, please help disentangling the situation.

#8 - 07/17/2019 11:46 AM - Andreas Kohlbecker

- Copied to task #8379: Review strange specimen implementations added

#9 - 07/17/2019 11:49 AM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- Assignee changed from Katja Luther to Andreas Kohlbecker

- % Done changed from 10 to 100

error message suppressed and visible effect of the problem solved, the further discussion and post release review task is copied to #8379
